GUNICORNC(1)

NAME
gunicornc - gunicorn control client

DESCRIPTION
usage: gunicornc [-h] [-s SOCKET] [-c COMMAND] [-j] [-v]

Gunicorn control interface

  options:

-h, --help
    show this help message and exit

-s, --socket SOCKET
    Control socket path (default: gunicorn.ctl in current directory)

-c, --command COMMAND
    Execute single command and exit

-j, --json
    Output raw JSON (for scripting)

-v, --version
    Show version and exit

EXAMPLES

gunicornc
    # Interactive mode (default socket)

gunicornc -s /tmp/myapp.ctl
    # Interactive mode with custom socket

gunicornc -c "show workers"
    # Single command mode

gunicornc -c "worker add 2"
    # Add 2 workers

gunicornc -c "show stats" -j
    # Output stats as JSON

SEE ALSO
The full documentation for gunicornc is maintained as a Texinfo manual. If the info and gunicornc programs are properly installed at your site, the command

    info gunicornc

should give you access to the complete manual.